%define		status		stable
%define		pearname	Horde_Controller
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Controller libraries
Name:		php-horde-Horde_Controller
Version:	1.0.2
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	2bf8496541063d1072e26d47212b747a
URL:		https://github.com/horde/horde/tree/master/framework/Controller/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-horde-Horde_Injector < 2.0.0
Requires:	php-horde-Horde_Log < 2.0.0
Requires:	php-horde-Horde_Support < 2.0.0
Requires:	php-horde-Horde_Util < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-mbstring
Suggests:	php-zlib
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the controller part of an MVC system for Horde.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Controller.php
%{php_pear_dir}/Horde/Controller
%changelog
* Tue Jul 31 2012 Elan Ruusamäe <glen@delfi.ee> 08f52c2
- updated to: 1.0.2

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 7f6afea
- updated to: 1.0.1

* Tue May 03 2011 Elan Ruusamäe <glen@pld-linux.org> 59e0770
- use github url to package, as pear url is not specific

* Mon Apr 11 2011 Elan Ruusamäe <glen@pld-linux.org> 7e029e9
- Horde dir dep

* Sun Apr 10 2011 Elan Ruusamäe <glen@pld-linux.org> 446b3d1
- horde h4 pear packages

